#TODO:
# -
%define nagios_usr nagios
%define nagios_grp nagios
%define realname ndoutils
%define rev b7
%define nagios_plugdir %_libexecdir/nagios/plugins
%define plugins_cmddir %_sysconfdir/nagios/commands
%define nagios_moddir  %_libexecdir/nagios/modules
%define nagios_confdir %_sysconfdir/nagios
%define plugin_docdir  %_docdir/nagios-%realname-%version

Name: nagios-%realname
Version: 1.4
Release: alt1.%rev

Summary: NDOUtils -- Nagios(R) Data Outpu Utils
Summary(ru_RU.UTF-8): NDOUtils -- Nagios(R) Data Outpu Utils
License: GPL
Group: Monitoring
URL: http://www.nagios.org

Requires: nagios-plugins

Source0: %realname-%version%rev.tar.gz
Source1: ndo2db-2x-init
Source2: ndo2db-3x-init

Patch0: %realname-1.4b7-alt-pgsql.patch
Patch1: %realname-1.4b7-alt-config.patch
Patch2: %realname-1.4b7-alt-pidfile.patch

Prefix: %prefix

# Automatically added by buildreq on Mon Mar 31 2008
BuildRequires: libMySQL-devel libltdl-devel libpq-devel libwrap-devel zlib-devel

%description
The NDOUTILS (Nagios Data Output Utils) addon allows you to move status and event 
information from Nagios to a database for later retrieval and processing.

%description -l ru_RU.UTF-8
NDOUtils (Nagios Data Output Utils) -- набор утилит, предназначенных для
экспорта данных о состоянии и событиях объектов мониторинга из системы
Nagios(R) в базу данных, для дальнейшей обработки.


%package -n nagios-addons-ndomod2
Summary: NDOUtils event broker module for Nagios 2.x
Summary(ru_RU.UTF-8): Подгружаемый модуль NDOUtils для Nagios 2.x
Group: Monitoring
Requires:  nagios < 3.0
Provides:  ndo-module = %name:%version-%release
Conflicts: ndo-module < %name:%version-%release
Conflicts: ndo-module > %name:%version-%release

%description -n nagios-addons-ndomod2
The NDOUTILS (Nagios Data Output Utils) addon allows you to move status and event 
information from Nagios to a database for later retrieval and processing.

Install this package if you need a NDO support for Nagios 2.x

%description -n nagios-addons-ndomod2 -l ru_RU.UTF-8
NDOUtils (Nagios Data Output Utils) -- набор утилит, предназначенных для
экспорта данных о состоянии и событиях объектов мониторинга из системы
Nagios(R) в базу данных, для дальнейшей обработки.

Данный пакет содержит подгружаемый модуль NDOUtils для Nagios 2.x


%package daemon2
Summary: NDOUtils database daemon for Nagios 2.x
Summary(ru_RU.UTF-8): Демон взаимодействия с базами данных для Nagios 2.x
Group: Monitoring
Provides:  ndo-daemon = %name:%version-%release
Conflicts: ndo-daemon < %name:%version-%release
Conflicts: ndo-daemon > %name:%version-%release

%description daemon2
The NDOUTILS (Nagios Data Output Utils) addon allows you to move status and event 
information from Nagios to a database for later retrieval and processing.

The NDO2DB daemon reads input (that was produced by the NDOMOD broker module)
from a TCP or Unix domain socket, parses that data, and then dumps it into one
or more MySQL or PgSQL databases. The daemon is capable of handling multiple
client connections simultaneously, so you can have multiple instances of the
NDOMOD module writing to the same TCP or Unix domain socket at the same time.

This package is for Nagios 2.x

%description daemon2 -l ru_RU.UTF-8
NDOUtils (Nagios Data Output Utils) -- набор утилит, предназначенных для
экспорта данных о состоянии и событиях объектов мониторинга из системы
Nagios(R) в базу данных, для дальнейшей обработки.

Демон NDO2DB обеспечивает получение данных от брокер-модуля NDOMOD через TCP
или Unix-сокет, производит обработку полчуенных данных и сохранение результатов
в одной или нескольких базах данных (поддерживаются MySQL и PgSQL). Демон
умеет обслуживать несколько одновременных клиентских подключений.

Данный пакет предназначен для взаимодействия с Nagios 2.x


%package -n nagios-addons-ndomod3
Summary: NDOUtils event broker module for Nagios 3.x
Summary(ru_RU.UTF-8): Подгружаемый модуль NDOUtils для Nagios 3.x
Group: Monitoring
Requires: nagios >= 3.0
Provides:  ndo-module = %name:%version-%release
Conflicts: ndo-module < %name:%version-%release
Conflicts: ndo-module > %name:%version-%release

%description -n nagios-addons-ndomod3
The NDOUTILS (Nagios Data Output Utils) addon allows you to move status and event 
information from Nagios to a database for later retrieval and processing.

Install this package if you need a NDO support for Nagios 3.x

%description -n nagios-addons-ndomod3 -l ru_RU.UTF-8
NDOUtils (Nagios Data Output Utils) -- набор утилит, предназначенных для
экспорта данных о состоянии и событиях объектов мониторинга из системы
Nagios(R) в базу данных, для дальнейшей обработки.

Данный пакет содержит подгружаемый модуль NDOUtils для Nagios 3.x


%package daemon3
Summary: NDOUtils database daemon for Nagios 3.x
Summary(ru_RU.UTF-8): Демон взаимодействия с базами данных для Nagios 3.x
Group: Monitoring
Provides:  ndo-daemon = %name:%version-%release
Conflicts: ndo-daemon < %name:%version-%release
Conflicts: ndo-daemon > %name:%version-%release

%description daemon3
The NDOUTILS (Nagios Data Output Utils) addon allows you to move status and event 
information from Nagios to a database for later retrieval and processing.

The NDO2DB daemon reads input (that was produced by the NDOMOD broker module)
from a TCP or Unix domain socket, parses that data, and then dumps it into one
or more MySQL or PgSQL databases. The daemon is capable of handling multiple
client connections simultaneously, so you can have multiple instances of the
NDOMOD module writing to the same TCP or Unix domain socket at the same time.

This package is for Nagios 3.x

%description daemon3 -l ru_RU.UTF-8
NDOUtils (Nagios Data Output Utils) -- набор утилит, предназначенных для
экспорта данных о состоянии и событиях объектов мониторинга из системы
Nagios(R) в базу данных, для дальнейшей обработки.

Демон NDO2DB обеспечивает получение данных от брокер-модуля NDOMOD через TCP
или Unix-сокет, производит обработку полчуенных данных и сохранение результатов
в одной или нескольких базах данных (поддерживаются MySQL и PgSQL). Демон
умеет обслуживать несколько одновременных клиентских подключений.

Данный пакет предназначен для взаимодействия с Nagios 3.x


%prep
%setup -n %realname-%version%rev
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure \
	--enable-mysql \
	--with-mysql-lib=/usr/lib \
	--with-mysql-inc=/usr/include/mysql \
	--enable-pgsql \
	--with-pgsql-lib=/usr/lib \
	--with-pgsql-inc=/usr/include/pgsql \
	--with-ndo2db-user=nagios \
	--with-ndo2db-group=nagios

%make_build

%install
# install NDO daemons
install -pDm0755 %SOURCE1 %buildroot/%_initdir/ndo2db-2x
install -pDm0755 %SOURCE2 %buildroot/%_initdir/ndo2db-3x
install -pDm0755 src/ndo2db-2x %buildroot/%_sbindir/ndo2db-2x
install -pDm0755 src/ndo2db-3x %buildroot/%_sbindir/ndo2db-3x
install -pDm0644 config/ndo2db.cfg %buildroot/%nagios_confdir/ndo2db.cfg

# install NDO modules for Nagios
install -pDm0644 src/ndomod-2x.o %buildroot/%nagios_moddir/ndomod-2x.o
install -pDm0644 src/ndomod-3x.o %buildroot/%nagios_moddir/ndomod-3x.o
install -pDm0644 config/ndomod.cfg %buildroot/%nagios_confdir/ndomod.cfg
install -pDm0644 config/misccommands.cfg %buildroot/%plugins_cmddir/ndoutils-ndomod.cfg

install -pDm0755 src/file2sock %buildroot/%_bindir/file2sock
install -pDm0755 src/log2ndo   %buildroot/%_bindir/log2ndo
install -pDm0755 src/sockdebug %buildroot/%_bindir/sockdebug

# install NDO docs and DB scripts
mkdir -p %buildroot/%_docdir/nagios-%realname-%version/
cp docs/* %buildroot/%_docdir/nagios-%realname-%version/
cp -r db %buildroot/%_docdir/nagios-%realname-%version/

mkdir -p %buildroot/%_localstatedir/nagios/ndo


%post daemon2
%post_service ndo2db-2x
%preun daemon2
%preun_service ndo2db-2x

%post daemon3
%post_service ndo2db-3x
%preun daemon3
%preun_service ndo2db-3x


%files
%attr(0640,root,%nagios_grp) %config(noreplace) %nagios_confdir/ndomod.cfg
%attr(0640,root,%nagios_grp) %config(noreplace) %nagios_confdir/ndo2db.cfg
%config(noreplace)%plugins_cmddir/ndoutils-ndomod.cfg
%_bindir/file2sock
%_bindir/log2ndo
%_bindir/sockdebug
%attr(2771,root,%nagios_grp) %dir %_localstatedir/nagios/ndo
%dir %_docdir/nagios-%realname-%version
%_docdir/nagios-%realname-%version/*

%files -n nagios-addons-ndomod2
%nagios_moddir/ndomod-2x.o

%files daemon2
%_initdir/ndo2db-2x
%_sbindir/ndo2db-2x

%files -n nagios-addons-ndomod3
%nagios_moddir/ndomod-3x.o

%files daemon3
%_initdir/ndo2db-3x
%_sbindir/ndo2db-3x

%changelog
* Thu May 01 2008 Dmitry Lebkov <dlebkov@altlinux.ru> 1.4-alt1.b7
- add pid-file support to ndo2db daemon
- initial build
